Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfPageLabels.PdfPageLabelFormat

    java.lang.Object
      com.lowagie.text.pdf.PdfPageLabels.PdfPageLabelFormat

Enclosing class:
  PdfPageLabels

    public static class PdfPageLabels.PdfPageLabelFormat

extends Object

Field Summary
`int` | `logicalPage`
`int` | `numberStyle`
`int` | `physicalPage`
`String` | `prefix`

Constructor Summary
`PdfPageLabels.PdfPageLabelFormat(int physicalPage, int numberStyle, String prefix, int logicalPage)` Creates a page label format.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### physicalPage

    public int physicalPage

### numberStyle

    public int numberStyle

### prefix

    public String prefix

### logicalPage

    public int logicalPage

Constructor Detail

### PdfPageLabels.PdfPageLabelFormat

    public PdfPageLabels.PdfPageLabelFormat(int physicalPage,
                                            int numberStyle,
                                            String prefix,
                                            int logicalPage)

  Creates a page label format.

  Parameters:
    `physicalPage` - the real page to start the numbering. First page is 1
    `numberStyle` - the numbering style such as LOWERCASE_ROMAN_NUMERALS
    `prefix` - the text to prefix the number. Can be `null` or empty
    `logicalPage` - the first logical page number

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD